# 81. Запрос: получить GeoJSON для «EquationMap»

Получить GeoJSON "EquationMaps", отфильтрованный по `equationMapUuids`.

Атрибут `equationMapGeojson` содержит GeoJSON с `Полигоны` или `Мультиполигон(ами)` включая геопространственные атрибуты объекта, такие как `id`, `value` и `площадь` в заданных единицах.

Ключевые детали:

* Параметр `asMultiGeometry: true` означает, что `Полигоны` (ячейки "Equation Map") будут объединены в `Мультиполигоны` на основе `value` атрибута каждой ячейки "Equation Map".
* Выходную площадь можно настроить с помощью `unit` параметра. Доступные варианты: `ACRES`,  `HECTARES`, `SQUARE_METERS`

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapGeometries {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        equationMapGeojson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}

Если геометрии не требуются (требуются только атрибуты), то существует `attributesJson` вместо `equationMapGeojson` для использования.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapAttributes {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        attributesJson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/81.-zapros-poluchit-geojson-dlya-equationmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
